View Javadoc

    1   package org.apache.log4j.rewrite;
    2
    3   import org.apache.log4j.spi.LoggingEvent;
    4
    5   /*
    6   * Licensed to the Apache Software Foundation (ASF) under one or more
    7   * contributor license agreements.  See the NOTICE file distributed with
    8   * this work for additional information regarding copyright ownership.
    9   * The ASF licenses this file to You under the Apache License, Version 2.0
    10  * (the "License"); you may not use this file except in compliance with
    11  * the License.  You may obtain a copy of the License at
    12  *
    13  *      http://www.apache.org/licenses/LICENSE-2.0
    14  *
    15  * Unless required by applicable law or agreed to in writing, software
    16  * distributed under the License is distributed on an "AS IS" BASIS,
    17  * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    18  * See the License for the specific language governing permissions and
    19  * limitations under the License.
    20  */
    21
    22  /**
    23   * This interface is implemented to provide a rewrite
    24   * strategy for RewriteAppender.  RewriteAppender will
    25   * call the rewrite method with a source logging event.
    26   * The strategy may return that event, create a new event
    27   * or return null to suppress the logging request.
    28   */
    29  public interface RewritePolicy {
    30      /**
    31       * Rewrite a logging event.
    32       * @param source a logging event that may be returned or
    33       * used to create a new logging event.
    34       * @return a logging event or null to suppress processing.
    35       */
    36      LoggingEvent rewrite(final LoggingEvent source);
    37  }